zenilib: zenilib/jni/external/sdl/src/video/psp/SDL_pspevents.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
SDL_pspevents.c File Reference
`#include "SDL.h"`
`#include "../../events/SDL_sysevents.h"`
`#include "../../events/SDL_events_c.h"`
`#include "../../events/SDL_keyboard_c.h"`
`#include "SDL_pspvideo.h"`
`#include "SDL_pspevents_c.h"`
`#include "SDL_thread.h"`
`#include "SDL_keyboard.h"`
`#include <psphprm.h>`

Go to the source code of this file.

## Functions

int | EventUpdate (void *data)
void | PSP_EventInit (_THIS)
void | PSP_EventQuit (_THIS)
void | PSP_InitOSKeymap (_THIS)
void | PSP_PumpEvents (_THIS)

## Variables

static SDL_sem * | event_sem = NULL
static enum PspHprmKeys | hprm = 0
struct {
enum PspHprmKeys id
SDL_Keycode sym
} | keymap_psp []
static int | running = 0
static SDL_Thread * | thread = NULL

## Function Documentation

int EventUpdate | ( | void * | data | ) |

Definition at line 61 of file SDL_pspevents.c.

References event_sem, hprm, running, SDL_SemPost(), and SDL_SemWait().

Referenced by PSP_EventInit().

void PSP_EventInit | ( | _THIS |  | ) |

Definition at line 246 of file SDL_pspevents.c.

References event_sem, EventUpdate(), NULL, ret, running, SDL_CreateSemaphore(), SDL_CreateThread(), and SDL_SetError().

void PSP_EventQuit | ( | _THIS |  | ) |

Definition at line 270 of file SDL_pspevents.c.

References event_sem, NULL, running, SDL_DestroySemaphore(), and SDL_WaitThread().

void PSP_InitOSKeymap | ( | _THIS |  | ) |

Definition at line 136 of file SDL_pspevents.c.

References i, SDL_TABLESIZE, SDLK_0, SDLK_1, SDLK_2, SDLK_3, SDLK_4, SDLK_5, SDLK_6, SDLK_7, SDLK_8, SDLK_9, SDLK_a, SDLK_b, SDLK_BACKQUOTE, SDLK_BACKSLASH, SDLK_BACKSPACE, SDLK_c, SDLK_CAPSLOCK, SDLK_COMMA, SDLK_d, SDLK_DELETE, SDLK_DOWN, SDLK_e, SDLK_END, SDLK_EQUALS, SDLK_ESCAPE, SDLK_f, SDLK_F1, SDLK_F10, SDLK_F11, SDLK_F12, SDLK_F2, SDLK_F3, SDLK_F4, SDLK_F5, SDLK_F6, SDLK_F7, SDLK_F8, SDLK_F9, SDLK_g, SDLK_h, SDLK_HOME, SDLK_i, SDLK_INSERT, SDLK_j, SDLK_k, SDLK_KP_DIVIDE, SDLK_KP_EQUALS, SDLK_KP_MINUS, SDLK_KP_MULTIPLY, SDLK_KP_PERIOD, SDLK_KP_PLUS, SDLK_l, SDLK_LALT, SDLK_LCTRL, SDLK_LEFT, SDLK_LEFTBRACKET, SDLK_LSHIFT, SDLK_m, SDLK_MINUS, SDLK_n, SDLK_o, SDLK_p, SDLK_PAUSE, SDLK_PERIOD, SDLK_q, SDLK_QUOTE, SDLK_r, SDLK_RALT, SDLK_RCTRL, SDLK_RETURN, SDLK_RIGHT, SDLK_RIGHTBRACKET, SDLK_RSHIFT, SDLK_s, SDLK_SEMICOLON, SDLK_SLASH, SDLK_SPACE, SDLK_t, SDLK_TAB, SDLK_u, SDLK_UNKNOWN, SDLK_UP, SDLK_v, SDLK_w, SDLK_x, SDLK_y, and SDLK_z.

void PSP_PumpEvents | ( | _THIS |  | ) |

Definition at line 73 of file SDL_pspevents.c.

References event_sem, hprm, i, keymap_psp, SDL_Keysym::scancode, SDL_GetScancodeFromKey(), SDL_PRESSED, SDL_RELEASED, SDL_SemPost(), SDL_SemWait(), SDL_SendKeyboardKey(), SDL_Keysym::sym, and sym.

## Variable Documentation

SDL_sem* event_sem = NULL

static

Definition at line 46 of file SDL_pspevents.c.

Referenced by EventUpdate(), PSP_EventInit(), PSP_EventQuit(), and PSP_PumpEvents().

enum PspHprmKeys hprm = 0

static

Definition at line 45 of file SDL_pspevents.c.

Referenced by EventUpdate(), and PSP_PumpEvents().

enum PspHprmKeys id

Definition at line 50 of file SDL_pspevents.c.

struct { ... } keymap_psp[]

Initial value:
= {
{ PSP_HPRM_PLAYPAUSE, SDLK_F10 },
{ PSP_HPRM_FORWARD, SDLK_F11 },
{ PSP_HPRM_BACK, SDLK_F12 },
{ PSP_HPRM_VOL_UP, SDLK_F13 },
{ PSP_HPRM_VOL_DOWN, SDLK_F14 },
{ PSP_HPRM_HOLD, SDLK_F15 }
}
SDLK_F13
Definition: SDL_keycode.h:174
SDLK_F15
Definition: SDL_keycode.h:176
SDLK_F12
Definition: SDL_keycode.h:137
SDLK_F11
Definition: SDL_keycode.h:136
SDLK_F10
Definition: SDL_keycode.h:135
SDLK_F14
Definition: SDL_keycode.h:175

Referenced by PSP_PumpEvents().

int running = 0

static

Definition at line 48 of file SDL_pspevents.c.

Referenced by EventUpdate(), PSP_EventInit(), and PSP_EventQuit().

SDL_Keycode sym

Definition at line 51 of file SDL_pspevents.c.

Referenced by fixedtables(), inflate_table(), PSP_PumpEvents(), TIntermSymbol::setSymbol(), and TIntermSymbol::TIntermSymbol().

SDL_Thread* thread = NULL

static

Definition at line 47 of file SDL_pspevents.c.